Dialogs broken when mwEmbed is enabled
Closed, DeclinedPublic

Description

Using the dialogs on current wikipedia installations results in the following error (Search and replace and insert link):

TypeError: Result of expression '$('<div />').attr('id',module.id).html(module.html).data('context',context).appendTo($('body')).each(module.init).dialog' [undefined] is not a function.

Occurs with Safari 5, Chrome, and Opera 10 on Mac OS X Snow Leopard, but works on FF4.


Version: unspecified
Severity: critical

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz24528.
TheDJ created this task.Via LegacyJul 24 2010, 3:44 PM
bzimport added a comment.Via ConduitJul 26 2010, 8:01 PM

amiller1 wrote:

Here's what I was able to figure out so far:

Only occurs when both Twinkle and mwEmbed gadgets are enabled. Once they are enabled, it seems like jquery ui is not loaded on the edit page.

bzimport added a comment.Via ConduitJul 26 2010, 8:02 PM

amiller1 wrote:

Related screenshot is here: http://en.wikipedia.org/wiki/File:Dialogs_not_working.png

bzimport added a comment.Via ConduitJul 27 2010, 12:49 AM

usermono wrote:

I disabled mwembed, working now without that, so you know...

bzimport added a comment.Via ConduitJul 27 2010, 12:50 AM

usermono wrote:

Screenshot of issue.

Attached:

TheDJ added a comment.Via ConduitOct 18 2010, 9:43 AM

This is fixed now for me. mwEmbed + Twinkle + dialogs seems to work.

bzimport added a comment.Via ConduitOct 27 2010, 3:26 AM

usermono wrote:

Not fixed for me...

bzimport added a comment.Via ConduitAug 19 2011, 7:12 PM

mhershberger wrote:

Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734

Nemo_bis added a comment.Via ConduitNov 6 2012, 9:06 AM

Michael, can such mwEmbed bug be closed (isn't it superseded?)?

bzimport added a comment.Via ConduitNov 6 2012, 4:54 PM

mdale wrote:

We should disable the mwEmbed gadget now that Timed media handler is being enabled.

Nemo_bis added a comment.Via ConduitNov 6 2012, 5:21 PM

(In reply to comment #9)

We should disable the mwEmbed gadget now that Timed media handler is being
enabled.

Can you please do so on en.wiki, Commons and any other wiki using it by disabling/blanking it then? (You have global editinterface rights.)

TheDJ added a comment.Via ConduitNov 6 2012, 6:19 PM

I had already removed it from en.wp and commons a while ago. Not sure if it is used anywhere else.

Aklapper added a comment.Via ConduitAug 31 2013, 2:50 PM

WONTFIXing as we slowly get rid of mwEmbed anyway.
Plus no clear steps to reproduce nowadays...

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.